namespace FitConnect.Interfaces;

public interface IFitConnectSettings {
    List<string> PrivateDecryptionKeys { get; init; }
    string PrivateSigningKey { get; init; }
    string PublicKeyEncryption { get; init; }
    string PublicKeySignatureVerification { get; init; }
    string SenderClientId { get; init; }
    string SenderClientSecret { get; init; }
    string SubscriberClientId { get; init; }
    string SubscriberClientSecret { get; init; }
    Guid DestinationId { get; init; }
    string ServiceIdentifier { get; init; }
    string CallbackSecret { get; init; }
}
