using Newtonsoft.Json;

namespace FitConnect.Models;

public class Events {
    [JsonProperty("https://schema.fitko.de/fit-connect/events/submit-submission",
        NullValueHandling = NullValueHandling.Ignore)]
    public SubmitSubmissionEvent? SubmitSubmissionEvent { get; set; }

    [JsonProperty("https://schema.fitko.de/fit-connect/events/reject-submission",
        NullValueHandling = NullValueHandling.Ignore)]
    public RejectSubmissionEvent? RejectSubmissionEvent { get; set; }

    [JsonProperty("https://schema.fitko.de/fit-connect/events/create-submission",
        NullValueHandling = NullValueHandling.Ignore)]
    public CreatedSubmissionEvent? CreatedSubmissionEvent { get; set; }

    [JsonProperty("https://schema.fitko.de/fit-connect/events/notify-submission",
        NullValueHandling = NullValueHandling.Ignore)]
    public NotifySubmissionEvent? NotifySubmissionEvent { get; set; }

    [JsonProperty("https://schema.fitko.de/fit-connect/events/accept-submission",
        NullValueHandling = NullValueHandling.Ignore)]
    public AcceptSubmissionEvent? AcceptSubmissionEvent { get; set; }

    [JsonProperty("https://schema.fitko.de/fit-connect/events/delete-submission",
        NullValueHandling = NullValueHandling.Ignore)]
    public DeleteSubmissionEvent? DeleteSubmissionEvent { get; set; }
}
